View workflow rerun details¶
Read the status of a workflow rerun branch.
GET https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/reruns/{rerun_id}
Preparation before calling¶
First query the workflow rerun list to obtain the rerun ID. Prepare a personal access token and target workspace ID that has access to the target workspace.
Path parameters¶
workflow_idstring- Workflow ID.
execution_idstring- Source job ID.
rerun_idstring- Rerun ID.
Request example
curl "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/reruns/$RERUN_ID" \
-H "X-API-Key: $AI_STUDIO_API_KEY" \
-H "X-Workspace-ID: $WORKSPACE_ID"
Successful response¶
codestring- `OK` when successful.
msgstring- `OK` when successful.
data.rerun.rerun_idstring- Rerun ID.
data.rerun.branch_idstring- Branch ID.
data.rerun.case_idstring- Case ID.
data.rerun.source_branch_idstring- Source branch ID; only returned if there is a value.
data.rerun.new_workflow_execution_idstring- New job ID; returned only if there is a value.
data.rerun.source_execution_idstring- Source job ID; returned only if there is a value.
data.rerun.node_keystring- Rerun starting point; only returned if there is a value.
data.rerun.modestring- Rerun mode.
data.rerun.statusstring- Current branch status.
data.rerun.errorstring- Branch error information; only returned when there is an error.
data.start_errorstring- Start error; only returned if there is a value.
data.refresh_errorstring- Refresh error; only returned if there is a value.
Successful response example
{
"code": "OK",
"msg": "OK",
"data": {
"rerun": {
"rerun_id": "rerun-001",
"branch_id": "branch-001",
"case_id": "case-001",
"source_branch_id": "branch-000",
"new_workflow_execution_id": "exec-002",
"source_execution_id": "exec-001",
"node_key": "root.load",
"mode": "continue_from_node",
"status": "running"
}
}
}
Error response¶
codestring- Error code.
msgstring- Readable error message.
datanull- `null` in an error response.
Error response example
{
"code": "ErrNotFound",
"msg": "资源不存在",
"data": null
}
Follow-up operations¶
When you need to stop the branch cancel the workflow and rerun.
Last updated on